Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-tw2-forms
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?rhel} && 0%{?rhel} <= 7
%global with_python3 0
%else
%global with_python3 1
%endif

%global modname tw2.forms

Name:           python-module-tw2-forms
Version:        2.2.3
Release:        alt1_12
Summary:        Forms for ToscaWidgets2

License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building, generally
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-webob1.0 >= 0.9.7
%else
BuildRequires:  python-module-webob >= 0.9.7
%endif
BuildRequires:  python-module-tw2-core >= 2.1.4
BuildRequires:  python-module-PasteDeploy

# Specifically for the test suite
BuildRequires:  python-module-nose
BuildRequires:  python-module-coverage
BuildRequires:  python-module-FormEncode
BuildRequires:  python-module-webtest
BuildRequires:  python-module-sieve >= 0.1.9

# Templating languages for the test suite
BuildRequires:  python-module-mako
BuildRequires:  python-module-genshi
BuildRequires:  python-module-chameleon.core
BuildRequires:  python-module-kajiki
BuildRequires:  python-module-jinja2

%if 0%{?with_python3}
# For building, generally
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-webob >= 0.9.7
BuildRequires:  python3-module-tw2-core >= 2.1.4
BuildRequires:  python3-module-PasteDeploy

# Specifically for the test suite
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-coverage
BuildRequires:  python3-module-FormEncode
BuildRequires:  python3-module-webtest
BuildRequires:  python3-module-sieve >= 0.1.9

# Templating languages for the test suite
BuildRequires:  python3-module-mako
BuildRequires:  python3-module-genshi
BuildRequires:  python3-module-chameleon.core
BuildRequires:  python3-module-kajiki
BuildRequires:  python3-module-jinja2
%endif

# Runtime requirements

%global _description\
ToscaWidgets is a web widget toolkit for Python to aid in the creation,\
packaging and distribution of common view elements normally used in the web.\
\
tw2.forms contains the basic form widgets.
Source44: import.info

%description 

%_description
%if 0%{?with_python3}
%package -n python3-module-tw2-forms
Group: Development/Other
Summary: Forms for ToscaWidgets2
Requires: python3-module-tw2-core >= 2.1.4

%description -n python3-module-tw2-forms
ToscaWidgets is a web widget toolkit for Python to aid in the creation,
packaging and distribution of common view elements normally used in the web.

This package contains the basic form widgets build for python3.
%endif


%prep
%setup -q -n %{modname}-%{version}

%if 0%{?rhel} && 0%{?rhel} <= 6

# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

sed -i 's|Jinja2|jinja2|g' setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%{__python} setup.py install --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build \
    --install-data=%{_datadir} --root %{buildroot}
popd
%endif


%check
PYTHONPATH=$(pwd) %{__python} setup.py test

#%if 0%{?with_python3}
#pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
#PYTHONPATH=$(pwd) %{__python3} setup.py test
#popd
#%endif # with_python3


%files -n python-module-tw2-forms
%{!?_licensedir:%global license %%doc}
%doc --no-dereference LICENSE.txt
%doc README.rst
%{python_sitelibdir_noarch}/tw2/forms
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-module-tw2-forms
%doc --no-dereference LICENSE.txt
%doc README.rst
%{python3_sitelibdir_noarch}/tw2/forms
%{python3_sitelibdir_noarch}/%{modname}-%{version}*
%endif

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.2.3-alt1_12
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.2.3-alt1_11
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 2.2.3-alt1_10
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.2.3-alt1_9
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_4
- initial fc import

